#ifndef __CONST_FILENAME_H_
#define __CONST_FILENAME_H_

#include <string>

/*!
 * \brief Class of filenames
*/
class ConstFN
{
public:

	static const std::string MSERIALIZABLE;
	static const std::string BASE_PARAMETERS;
	static const std::string NFS_PARAMETERS;
	static const std::string POLYNOMIAL;
	static const std::string SPARSE_MATRIX;
	static const std::string BIT_MATRIX;
	static const std::string BC_MATRIX;
	static const std::string HERMITE_MATRIX;
	static const std::string INTEGER_MATRIX;
	static const std::string NORMAL_MATRIX;
	static const std::string POLY_PHASE;
	static const std::string SIEVING_PHASE;
	static const std::string REL_PRO_PHASE;
	static const std::string LINEAR_PHASE;
	static const std::string SQUARE_ROOT_PHASE;
	static const std::string NFS;
	static const std::string FULL_PRIMES;
	static const std::string FULL_PRIMES_TEMP;
	static const std::string RELATION_PART;
	static const std::string NFS_RELATION;
	static const std::string INTEGRAL_FB;
	static const std::string ALGEBRAIC_FB;
	static const std::string QUAD_CHARS;
	static const std::string MATRIX;
	static const std::string RELATIONS;
	static const std::string SMOOTH_RELATIONS;
	static const std::string SMOOTH_LEG_REL;
	static const std::string ALL_SMOOTH_REL;
	static const std::string USABLE_PART_REL;
	static const std::string TEMP_FILE;
	static const std::string PARTIAL_REL;
	static const std::string ALL_PARTIAL_REL;
	static const std::string ALL_RELATIONS;
	static const std::string MATRIX_RESULT;
	static const std::string RELATION_MATRIX;
	static const std::string TIME_CONTAINER;
	static const std::string STATISTIC_CONTAINER;
	static const std::string RSERIAL_SIEVING_PHASE;
	static const std::string RSERIAL_POLY_SEL_PHASE;
	static const std::string CONTROL_FILE;
	static const std::string CANDIDATE_POLYS;
	static const std::string CANDIDATE_POLY_PAIRS;
	static const std::string ALGEBRAIC_FB1;
	static const std::string ALGEBRAIC_FB2;
	static const std::string ALG_RELATION;
	static const std::string QUAD_CHARS1;
	static const std::string QUAD_CHARS2;
	static const std::string DIVISORS;
	static const std::string FACTOR_BASE;
	static const std::string FILTERING_RELATION_PART;
	static const std::string FILTERING_NFS_RELATION;
	static const std::string RELATION_HASHTABLE_STORE;
	static const std::string PROCESSED_RELATIONS;
	static const std::string RELATION_HASHTABLE_TEMP;
	static const std::string LOG_FILE;
	static const std::string FULL_ROOT_DATA;
	static const std::string RELATIONS_RESULT;

};

#endif // __CONST_FILENAME_H_

