#include "const_return_codes.h"

const int ConstRC::GoodCandidate			= 1004;
const int ConstRC::EnoughSmooths			= 1003;
const int ConstRC::Impropriate				= 1000;
const int ConstRC::AlreadyExists			= 100;
const int ConstRC::All						= 1;

const int ConstRC::Ok						= 0;

const int ConstRC::NotEnoughMemory			= -1;
const int ConstRC::CouldNotOpenFile			= -2;
const int ConstRC::CouldNotCloseFile		= -3;
const int ConstRC::CouldNotReadFromNullStream	= -4;
const int ConstRC::EndOfFile				= -5;
const int ConstRC::BadArgument				= -6;
const int ConstRC::CouldNotWriteToNullStream	= -7;
const int ConstRC::GeneralError				= 0xff000000;
// CBaseParameters error return codes
const int ConstRC::EntryExists				= -8;
const int ConstRC::NotFound					= -9;
const int ConstRC::CannotConvert			= -10;

const int ConstRC::Impossible				= -11;
const int ConstRC::CannotBeDone				= -12;
const int ConstRC::StopNow					= -13;
const int ConstRC::IncorrectDepth			= -14;
const int ConstRC::AlreadyRunning			= -15;

const int ConstRC::NegativeIndex			= -25;
const int ConstRC::ExcessiveRowIndex		= -26;
const int ConstRC::ExcessiveColumnIndex		= -26;

const int ConstRC::NullPointerSupplied		= -30;
const int ConstRC::SizeMismatch				= -40;

const int ConstRC::NotSpecified				= -100;
const int ConstRC::NotSupported				= -102;

const int ConstRC::Factorized				= 1;
const int ConstRC::NotFactorized			= -1000;
const int ConstRC::NotEnoughSmooths			= -1003;
const int ConstRC::SievingRegionExhausted	= 3001;
const int ConstRC::InconsistentState		= -1010;
const int ConstRC::FactorTooLarge			= -1100;
const int ConstRC::PrimeTooLarge		= -1200;

const int ConstRC::NoCandidates				= -2000;
const int ConstRC::NotEnoughCandidates		= -2003;

const int ConstRC::NeedEnlargement		= -4001;
