#ifndef __XML_MESSAGE_DEFINITIONS__
#define __XML_MESSAGE_DEFINITIONS__

#include "xml_definitions.h"

#define SIEVING_MESSAGE_NAME "sieving-message"
#define MESSAGE_HEADER_NAME "header"
#define MESSAGE_BODY_NAME "body"

#define ABSTRACT_MESSAGE_NAME		"AbstractMessage"
#define ABSTRACT_MESSAGE_VERSION	"1.0"

#define ID_NAME		"id"
#define ADDRESS_NAME	"address"
#define URL_NAME	"url"
#define SENDER_NAME	"sender"
#define TARGET_NAME	"target"
#define COUNTER_NAME    "counter"
#define REPLY_TO_NAME	"reply-to"
#define MESSAGE_TYPE_NAME    "message-type"
#define MESSAGE_DESCRIPTION_NAME    "message-description"

#define MESSAGE_READY_DESCRIPTION "This node is ready to receive a new sieving job."
#define MESSAGE_NOJOB_DESCRIPTION "There is no available job in the center."
#define MESSAGE_JOB_PARAMETERS_DESCRIPTION "Job parameters for a distributed job are attached."
#define MESSAGE_ACK_DESCRIPTION "Confirmation of delivery of a previous message."
#define MESSAGE_LOCKED_DESCRIPTION "This node has locked itself for the received job."
#define MESSAGE_NODE_BUSY_DESCRIPTION "This node is already processing another job, sorry."
#define MESSAGE_DATA_DESCRIPTION "Freshly harvested data for this job."
#define MESSAGE_ALIVE_DESCRIPTION "The job is running, but no fresh data have been found."
#define MESSAGE_QUIT_DESCRIPTION "Quit the job."

#define CONNECTOR_NAME		"connector"
#define TYPE_NAME		"type"
#define CENTER_INFO_NAME	"center-info"
#define CONNECTION_TYPE_NAME	"connection-type"

#define TIMEOUT_NAME		"timeout"
#define ASK_AGAIN_NAME		"ask-again"

#define SUPPORTED_ALGORITHMS_NAME	"supported-algorithms"
#define UNSUPPORTED_ALGORITHMS_NAME	"unsupported-algorithms"
#define ALGORITHM_NAME		"algorithm"
#define JOB_DATA_NAME		"job-data"
#define JOB_ID_NAME		"job-id"
#define DATA_COUNT_NAME		"data-count"
#define DATA_UNIT_NAME		"data-unit"
#define DATA_NAME		"data"
#define FILE_NAME		"file"
#define QUIT_REASON_NAME	"quit-reason"

#define ENOUGH_DATA_HARVESTED	"Enough data has been harvested by the center."

#endif

