#ifndef __ADV_FACTOR_BASE_HELPER_H__
#define __ADV_FACTOR_BASE_HELPER_H__

#include "factor_base_info.h"
#include "structures.h"
#include "complex_structures.h"
#include "enums.h"
#include <vector>

/*!
 * \brief initializing factor bases
 */
class CAdvFBHelper
{
public:
	static bool AssertionMode;
	static bool InfoMode;

public:

	static int InitAndPrepareLatticeFB(CAdvLFBInfo &aAdvFB, CFBInfo & aFB);
	static int FillLatticeFB(CAdvLFBInfo &aAdvFB, main_lattice_info & aInfo);
	static int InitAndFillAdvFB(nfs_fb_type *&aAdvFB, CFBInfo & aFB, nfs_sieving_direction aDirection, main_sieving_type aA, main_sieving_type aB, mpz_t aLC, mpz_t aM);
};

#endif // __ADV_FACTOR_BASE_HELPER_H__
