#include "lp_hashtable_type1.h"

#include "const_return_codes.h"
#include "const_element_flags.h"
#include "const_debug.h"
#include "const_rel_processing_phase.h"
#include "const_hashtables.h"
#include "nfs_utils.h"
#include "log.h"

using namespace std;

void CNFS_HashEntry1::SetOne() {
	CCommonHashEntry::SetOne();
	root_fingerprint = 0;
};

large_prime_type CNFS_HashEntry1::GetRootFingerprint() const {
	return root_fingerprint;
}

void CNFS_HashEntry1::SetRootFingerprint(large_prime_type aFingerPrint)
{
	root_fingerprint = aFingerPrint;
};

template class lp_hashtable_common<CNFS_HashEntry1>;
