#ifndef __LP_HASHTABLE_TYPE2_H__
#define __LP_HASHTABLE_TYPE2_H__

#include "lp_hashtable_type1.h"

/*!
 * \brief Hashtable entry for relation processing phase
 */
class CNFS_HashEntry2 : public CNFS_HashEntry1 {
private:
	large_prime_type relation;
public:
	large_prime_type GetRelation() const { return relation;};
	void SetRelation(large_prime_type aRelation) {relation = aRelation;};
};

template<class HashType> class lp_hashtable_common;
typedef lp_hashtable_common<CNFS_HashEntry2> CLPType2Hashtable; 
//class CLPType2Hashtable
//{
//public:
//	///Internal hashtable for largish prime ideals.
//	nfs_hashtable_entry_type_2 *	Hashtable;
//	///Number of the allocated hashtable entries
//	long			AllocatedSize;
//	/*
//		Count of elements in hashtable.
//		This number is incremented everytime new entry is added (it is not in hashtable yet)
// 	*/
//	long			Count;
//	///Hash mask - hash is large prime AND with mask 
//	unsigned long	Mask;
//
//public:
//
//	CLPType2Hashtable();
//	~CLPType2Hashtable();
//
//	void DeleteHashtable();
//	int ClearHashtable();
//	int SetupHashtable(long aAmount);
//	int AddToTable(large_prime_type aPrime, large_prime_type aRootMask, unsigned long aAncestor, unsigned long aRelation, unsigned long aIndex);
//
//	int FindPrimeInHashtable(large_prime_type aPrime, large_prime_type aRootFingerprint, bool & aPresent, long & aIndex) const;
//
//private:
//	int CollisionResolution(long aHash, large_prime_type aPrime, large_prime_type aRootFingerprint, long & aIndex) const;
//	
//	CLPType2Hashtable(const CLPType2Hashtable& aOperand) {}
//
//};


#endif // __LP_HASHTABLE_TYPE2_H__
