#ifndef __MATRIX_HELPER_H__
#define __MATRIX_HELPER_H__


#include "abstract_matrix.h"
#include "xml_helper.h"

/*!
 * \brief Creating, deserializing and identifying matrices
 */
class CMatrixHelper
{
public:
	static AbstractMatrix * CreateMatrix(species_of_matrices aType);
	static AbstractMatrix * DeserializeMatrix(const CBaseParameters &aParam);
	static species_of_matrices GetMatrixSpecies(const CBaseParameters &aParam);

};

#endif // __MATRIX_HELPER_H__
