#ifndef __NFS_UTILS_H__
#define __NFS_UTILS_H__
#include "common_utils.h"
#include "structures.h"

/*!
 * \brief Various utilities specific to NFS
 */
class NFSUtils : public Utils
{
public:
	static int MergeTwoSortedArrays(nfs_sieving_element** aTarget, unsigned long* aTargetAllocated, signed long* aTargetMaxIndex, nfs_sieving_element* aOperand1, int aOperand1MaxIndex, nfs_sieving_element* aOperand2, int aOperand2MaxIndex);
	static int CompareSievingElements(const void* aArg1, const void* aArg2);
	static int MergeTwoSortedArrays(nfs_sieving_element* aTarget, long & aTargetMaxIndex, nfs_sieving_element* aOperand1, int aOperand1MaxIndex, nfs_sieving_element* aOperand2, int aOperand2MaxIndex);
	static int CompareEdges(const void * aArg1, const void * aArg2);
	//
	// sieving element stuff


	static int CompareFBElements(const void* aArg1, const void* aArg2);
	static int CompareESearchElements(const void* aArg1, const void* aArg2);


};
#endif
