#ifndef __TRIAL_LOG_P_H_
#define __TRIAL_LOG_P_H_

#include "abstract_supporting_log_p.h"

/*!
          \brief This class implements trial solving of DLP for \f$Z_n\f$
	  
*/
class TrialLogP : public ASupportingLogPAlg
{
public:
	TrialLogP();
	~TrialLogP();
	int LogP(mpz_t aBase, mpz_t aValue, mpz_t aExponent);


	int Test();	

	unsigned long max_tries; ///< Limits number of trials

private:
	mpz_t   aux; ///< Auxiliary variable for the value of the function
};

#endif // __TRIAL_LOG_P_H_

