#ifndef __QS_PARAMETER_NAMES__
#define __QS_PARAMETER_NAMES__

// Boolean parameters
const char* KAssertionMode = "Assertion Mode";
const char* KInfoMode	   = "Info Mode";
const char* KLtMode	   = "Lt Mode";
const char* KDiMode	   = "Di Mode";
const char* KWpList	   = "Wp List";
const char* KRankCalcMode  = "Rank Calculation Mode";
const char* KValDistMode   = "Value Distribution Mode";
const char* KExtendedKMode = "Extended K Mode";
const char* KRootShort     = "Root Short";
const char* KDistributed   = "Is Distributed";


// Integer parameters (includes enumerations)
const char* KQsMode	   = "QS Mode";
const char* KCheckMode 	   = "Check Mode";
const char* KSieveIntMode  = "Sieving Interval Mode";
const char* KCheckLevel    = "Check Level";
const char* KMemblockSize  = "Memblock Size";
const char* KTimeMessage   = "Time Message Interval";
const char* KLinalgType	   = "Linear Algebra Type";
const char* KUseVariations = "Use Variations";
const char* KPrintSort	   = "Print Sort";
const char* KSingletonMode = "Singleton Mode";
const char* KPowerMode     = "Power Mode";
const char* KFactorAlg     = "Factor Algorithm";
const char* KMaxIter	   = "Maximum Iteration";
const char* KSILength      = "Sieving Interval Length";
const char* KUIBound	   = "Upper Int Bound";
const char* KLoadFlags	   = "Load Flags";
const char* KCompLevel	   = "Compression Level";
const char* KDistMachType  = "Distribution Machine Type";
const char* KCommitInt     = "Commit Interval";


// Mpz parameters
const char* KModulus	   = "Modulus";	
	
	
// String parameters
const char* KDirectoryName = "Directory Name";
const char* KSharedUrl	   = "Shared URL";
const char* KMachineName   = "Machine Name";


#endif
