#ifndef __XML_QS_DEFINITIONS__
#define __XML_QS_DEFINITIONS__

#include "xml_definitions.h"

#define SERIALIZATOR_VAL   "XmlQsSerializator"
#define SERIALIZATOR_VERSION "1.0"
#define DESERIALIZE_JOB "XML Read Job"
#define DESERIALIZE_FB  "XML Read FB "
#define DESERIALIZE_SIEVING "XML Read Sieving"
#define DESERIALIZE_SIEVER_STATE "XML Read Siever Status"
#define DESERIALIZE_POLYNOMIAL "XML Read Polynomial"
#define DESERIALIZE_NODE_INFO  "XML Read Node Info"

#define MODULUS "modulus"
#define FACTOR "factor"
#define UPPER_FB_BOUND "upper-fb-bound"
#define SIEVING_INTERVAL "sieving-interval"
#define QS_MODE "qs-mode"
#define QS_FB_ELEMENT "qs-fb-element"

#define SQRT_OF_KN_NAME "sqrt-kN"
#define IDEAL_A_VALUE_NAME "ideal-a-value"
#define CONTINI_THRESHOLD_NAME "contini-threshold"
#define ERROR_FACTOR_NAME "error-factor"
#define FACTALG_NAME "factoring-algorithm"
#define THRESHOLD_OPTIMIZATION_POLICY_NAME "threshold-optimization-policy-name"

#define SIQS_S_VALUE "siqs-s"
#define ALLOCATED_POLY_NAME "allocated-polynomials"
#define NR_POLY_NAME "number-of-polynomials"
#define IND_POLY_NAME "index-in-polynomials"
#define CUR_POLY_NAME "current-polynomial"
#define NU_NAME "nu"
#define SUBTRACT_NAME "subtract"

#define POLYNOMIAL_NAME "polynomial"
#define INDEX_NAME	"index"
#define A_NAME	"a"
#define B_NAME	"b"
#define C_NAME	"c"
#define D_NAME	"d"
#define D2_NAME	"d2"
#define INITED_NAME	"inited"
#define B2_ARRAY_NAME "b2-array"
#define B2_NAME "b2"
#define DIVISORS_OF_A_ARRAY_NAME "divisors-of-a"
#define DIVISOR_OF_A_NAME "divisor-of-a"

#define SOL_1_ARRAY_NAME "sol-1-array"
#define SOL_1_NAME "sol-1"
#define SOL_2_ARRAY_NAME "sol-2-array"
#define SOL_2_NAME "sol-2"
#define USABLE_NAME "usable"
#define USABLE_ARRAY_NAME "usable-array"
#define ALLOC_SOLUTIONS_NAME "allocated-solutions"
#define SOLVE_VALUE "solve"

#define NEXKSB_NAME "nexksb"
#define NEXKSB_K_NAME "nexksb-k"
#define NEXKSB_N_NAME "nexksb-n"
#define NEXKSB_M_NAME "nexksb-m"
#define NEXKSB_H_NAME "nexksb-h"
#define NEXKSB_FINISHED_NAME "nexksb-finished"
#define NEXKSB_SUBSET_ARRAY_NAME "nexksb-subset-array"
#define NEXKSB_SUBSET_ELEMENT_NAME "nexksb-subset-element"

// De/serialization of machine specific divisors and other node-specific values
#define NODE_SPECIFIC_INFORMATION_NAME "node-specific-information"
#define MACHINE_SPECIFIC_DIVISORS_NAME "machine-specific-divisors"
#define COUNT_NAME 		       "count"
#define MACHINE_LOWER_BOUND_NAME       "machine-lower-bound"
#define MACHINE_UPPER_BOUND_NAME       "machine-upper-bound"

#define RELATIONS_NAME "relations"
#define SMOOTH_NAME  "smooth"
#define PARTIAL_NAME "partial"

#define FRONTEND_PIPE "frontend-pipe"
#define MACHINE_SPECIFIC_GENERATION "machine-specific-generation"

#endif

