#ifndef __HELPERS_H_
#define __HELPERS_H_



/*!
 * \brief ECM parameters
 */
class ECMparameters
{
private:

	void PrintHelp();

public:

	ECMparameters();
	~ECMparameters();

	int ParseInputParameters(int argc, char *argv[]);
	int check();

	//possible parameters
	bool test; //test mode?
	mpz_t * N;
	int quantity; //amount of numbers
	int curves; //number of curves 
	unsigned int B1; //the lower bound
	int size; //size of numbers for testing - only in test mode
};

#endif
