// ECM.cpp : Defines the entry point for the console application.
//

//#include "stdafx.h"
#include "gmp.h"
#include <iostream>
#include "ECMproc.h"
#include <chrono>
#include <ctime>
#include <cstring>
#include <cstring>

using namespace std;

int main(int argc, char* argv[])
{
	cout << "Zadej cislo: ";
	mpz_t cislo; 
	mpz_init(cislo);
	mpz_inp_str(cislo, NULL, 10); //nacti cislo ze vstupu
	unsigned int * results = new unsigned int[10];
	//odsud
	cout << "Zadej mez: ";
	int B1;
	cin >>  B1;
	cout << "Zadej pocet krivek: ";
	int krivek;
	cin >> krivek;
	ECM algorithm (&cislo, krivek, B1);

	std::chrono::time_point<std::chrono::system_clock> start, end;
    start = std::chrono::system_clock::now();

	algorithm.factor(results);

	end = std::chrono::system_clock::now();
 
    std::chrono::duration<double> elapsed_seconds = end-start;
    std::time_t end_time = std::chrono::system_clock::to_time_t(end);
 
    std::cout << "elapsed time: " << elapsed_seconds.count() << "s\n";
	//sem
	for(int i = 0; i < 10; i++)
	{
		cout << results[i];
		cout << "\n";
	}
	system("pause");
    return 0;
}

