#ifndef __BUFFERED_FILE_WRITER_ITEM_H__
#define __BUFFERED_FILE_WRITER_ITEM_H__

# include <stdio.h>

/*!
 * \brief Item for buffered write
 */
class CBufferedFileWriterItem {

public:

	virtual CBufferedFileWriterItem *CopyItem() = 0;

	/*!
	Should be called only by objects dynamically allocated by CopyItem().
	*/
	virtual void FreeItem() = 0;

	virtual int PrintToFile(FILE* aFw) = 0;
	
};

#endif // __BUFFERED_FILE_WRITER_ITEM_H__

