#ifndef __CONNECTIVITY_FRAMEWORK_DEFINITIONS_H__
#define __CONNECTIVITY_FRAMEWORK_DEFINITIONS_H__

// Distribution
/*#define MAXIMAL_URL_SIZE		256
#define MAXIMAL_MACHINE_NAME_SIZE 	256 */
#define IMPLICIT_COMMIT_INTERVAL	10

// Error codes for connectivity framework

#define NO_CENTERS_DEFINED	-500
#define NODE_ALREADY_REGISTERED -501
#define NO_SIEVE_INSTANCE_REGISTERED -502
#define NO_CONNECTORS_REGISTERED -503
#define INCORRECT_CONNECTOR_VALUE -504
#define CONNECTOR_NOT_READY	-505
#define ADDRESS_NOT_SET		-506
#define IDENTIFICATION_NOT_SET  -507
#define DIRECTORY_DOES_NOT_EXIST -508
#define DIRECTORY_ACCESS_DENIED -509
#define GENERAL_FILESYSTEM_ERROR -510

// Message timeouts
#define NO_TIMEOUT			0
#define MINIMAL_TIMEOUT_IN_SECONDS	90

// Flags
#define MESSAGE_INSTANCE_DELETED	0x1

#endif
