#include "const_filenames.h"


const std::string ConstFN::MSERIALIZABLE		= "serialization";
const std::string ConstFN::BASE_PARAMETERS		= "base_parameters";
const std::string ConstFN::NFS_PARAMETERS		= "nfs_parameters";
const std::string ConstFN::POLYNOMIAL			= "polynomial";
const std::string ConstFN::SPARSE_MATRIX		= "sparse_matrix";
const std::string ConstFN::BIT_MATRIX			= "bit_matrix";
const std::string ConstFN::BC_MATRIX			= "bc_matrix";
const std::string ConstFN::HERMITE_MATRIX		= "hermite_matrix";
const std::string ConstFN::INTEGER_MATRIX		= "integer_matrix";
const std::string ConstFN::NORMAL_MATRIX		= "normal_matrix";
const std::string ConstFN::POLY_PHASE			= "poly_phase";
const std::string ConstFN::SIEVING_PHASE		= "sieving_phase";
const std::string ConstFN::REL_PRO_PHASE		= "rel_processing_phase";
const std::string ConstFN::LINEAR_PHASE			= "linear_phase";
const std::string ConstFN::SQUARE_ROOT_PHASE	= "square_root_phase";
const std::string ConstFN::NFS					= "nfs";
const std::string ConstFN::FULL_PRIMES			= "primes.xml";
const std::string ConstFN::FULL_PRIMES_TEMP		= "primes_temp.xml";
const std::string ConstFN::RELATION_PART		= "relation_part";
const std::string ConstFN::NFS_RELATION			= "nfs_relation";
const std::string ConstFN::INTEGRAL_FB			= "integral_factor_base";
const std::string ConstFN::ALGEBRAIC_FB			= "algebraic_factor_base";
const std::string ConstFN::QUAD_CHARS			= "qaud_characters";
const std::string ConstFN::MATRIX				= "matrix";
const std::string ConstFN::RELATIONS			= "relations";
const std::string ConstFN::SMOOTH_RELATIONS		= "smooth_relations";
const std::string ConstFN::SMOOTH_LEG_REL		= "smooth_legendre_relations";
const std::string ConstFN::ALL_SMOOTH_REL		= "all_smooth_relations";
const std::string ConstFN::USABLE_PART_REL		= "usable_partial_relations";
const std::string ConstFN::TEMP_FILE			= "temp_file";
const std::string ConstFN::PARTIAL_REL			= "partial_relations";
const std::string ConstFN::ALL_PARTIAL_REL		= "all_partial_relations";
const std::string ConstFN::ALL_RELATIONS		= "all_relations";
const std::string ConstFN::MATRIX_RESULT		= "matrix_result";
const std::string ConstFN::RELATION_MATRIX		= "relation_matrix";
const std::string ConstFN::TIME_CONTAINER		= "time_container";
const std::string ConstFN::STATISTIC_CONTAINER	= "statistic_container";
const std::string ConstFN::CONTROL_FILE			= "control_file";
const std::string ConstFN::CANDIDATE_POLYS		= "candidate_polynomials";
const std::string ConstFN::RSERIAL_SIEVING_PHASE	= "rserial_sieving_phase";
const std::string ConstFN::RSERIAL_POLY_SEL_PHASE	= "rserial_poly_sel_phase";
const std::string ConstFN::CANDIDATE_POLY_PAIRS	= "candidate_polynomial_pairs";
const std::string ConstFN::ALGEBRAIC_FB1		= "first_algebraic_fb";
const std::string ConstFN::ALGEBRAIC_FB2		= "second_algebraic_fb";
const std::string ConstFN::ALG_RELATION			= "algebraic_relation";
const std::string ConstFN::QUAD_CHARS1			= "first_qaud_characters";
const std::string ConstFN::QUAD_CHARS2			= "second_qaud_characters";
const std::string ConstFN::DIVISORS				= "divisors";
const std::string ConstFN::FACTOR_BASE			= "factor_base";
const std::string ConstFN::FILTERING_RELATION_PART	= "frelation_part";
const std::string ConstFN::FILTERING_NFS_RELATION	= "fnfs_relation";
const std::string ConstFN::RELATION_HASHTABLE_STORE	= "hashtable_storefile";
const std::string ConstFN::PROCESSED_RELATIONS		= "processed_relations";
const std::string ConstFN::RELATION_HASHTABLE_TEMP	= "hashtable_tempfile";
const std::string ConstFN::LOG_FILE					= "log";
const std::string ConstFN::FULL_ROOT_DATA			= "root_data.xml";
const std::string ConstFN::RELATIONS_RESULT			= "relations_result";



