#ifndef __GMP_MESSAGES_H__
#define __GMP_MESSAGES_H__

#include "time.h"


/*

   Hlavickovy soubor pro vypisy nejruznejsich hlaseni ap.
   ======================================================
   M. Kechlibar, unor 2003

  */

/* globalni funkce - funkcni prototypy */
#define MEMORY_ERROR -10

int zjisteni(const char *proces,int ceho,const char *name,const char *add_mes);

/* tato funkce slouzi pro vypisy bezne se vyskytujicich textu. vyznam vstupnich parametru:
    *proces je jmeno funkce nebo algoritmu, ktery zavolal pozadavek, napriklad Rabin-Miller
	nebo Zkusme deleni
	*name je jmeno souboru, o kterem chce funkce zjisteni neco sdelit; napriklad, ze se
	jej nezdarilo otevrit
	*add_mes je dodatek, ktery ma funkce vypsat za hlavnim sdelenim (napriklad
	konkretni zjisteny delitel)

*/

/* char *Int_to_str(Integer *co, int base); */

/* tato funkce vezme dlouhe cislo a prelozi jej do stringu, na nejz vrati pointer
   mozne volby baze jsou 2,8,10,16, cokoliv jineho se rozumi byt 10
   vypis v binaru:
   napr.  -100b
   vypis v oktalu:
   napr.  127o
   vypis v decimalu:
   napr. -55
   vypis v hexadecimalu:
   napr.  1afh

 */

/* ceka na Enter */
void wait_for_Enter();
#endif

