#ifndef __ABSTRACT_PHASE_FUNCTOR_H_
#define __ABSTRACT_PHASE_FUNCTOR_H_

// Took from http://www.newty.de/fpt/functor.html

/*!
 * \brief  abstract base functor class
 */
class APhaseFunctor
{
public:

	// two possible functions to call member function. virtual cause derived
	// classes will use a pointer to an object and a pointer to a member function
	// to make the function call
	//virtual void operator()(const char* string) = 0;  // call using operator
	virtual int Call() = 0;        // call using function

	virtual ~APhaseFunctor() {};
};

#endif // __ABSTRACT_PHASE_FUNCTOR_H_
