#include "const_linear_phase.h"
#include "common_definitions.h"


const bool ConstLPhase::AUTO_SERIALIZABLE	= false;
const bool ConstLPhase::RANK_CALC_MODE		= false;
const bool ConstLPhase::DENSITY_MODE		= false;
const bool ConstLPhase::TIME_MESSAGE_MODE	= false;
const bool ConstLPhase::CHECK_FINAL_RESULT	= true;
const int  ConstLPhase::INNER_STATE_COUNT	= 5;


const matrix_solver_type ConstLPhase::MATRIX_SOLVER_TYPE		= ELanczos;
const species_of_matrices ConstLPhase::RELATION_MATRIX_TYPE		= ConstRPPhase::RELATION_MATRIX_TYPE;
const species_of_matrices ConstLPhase::LANCZOS_AUX_MATRIX_TYPE	= SBCMatrix;

#ifdef WIN32

const std::string ConstLPhase::MATRIX_RESULT_FILENAME	= ConstFN::MATRIX_RESULT;
const std::string ConstLPhase::RELATION_MATRIX_FILENAME	= ConstFN::RELATION_MATRIX;

#else

#include "nfs_definitions.h"

const std::string ConstLPhase::MATRIX_RESULT_FILENAME	= FILE_NAME_MATRIX_RESULT;
const std::string ConstLPhase::RELATION_MATRIX_FILENAME	= FILE_NAME_RELATION_MATRIX;

#endif
