#ifndef __CONST_NFS_H_
#define __CONST_NFS_H_

#include "enums.h"

/*!
 * \brief Class of constants for number field sieve
*/
class ConstNFS
{
public:
	static const int START_PHASE_NBR;
	static const int PHASE_COUNT;
	static const int WORKING_THREADS_COUNTS;
	static const int FACTOR_SIZE;


	static const phase_types DEFAULT_POLY_PHASE;
	static const phase_types DEFAULT_SIEVING_PHASE;
	static const phase_types DEFAULT_REL_PRO_PHASE;
	static const phase_types DEFAULT_LINEAR_PHASE;
	static const phase_types DEFAULT_SQUARE_ROOT_PHASE;



};

#endif // __CONST_NFS_H_
