#include "const_parameter_names.h"


const std::string ConstPN::WORKING_DIRECTORY					= "working-directory";
const std::string ConstPN::DESERIALIZE							= "deserialize";
const std::string ConstPN::POLY_PHASE_NUMBER					= "poly-phase-nbr";
const std::string ConstPN::SIEVING_PHASE_NUMBER					= "sieving-phase-nbr";
const std::string ConstPN::REL_PROCESSING_PHASE_NUMBER			= "rel-processing-phase-nbr";
const std::string ConstPN::LINEAR_PHASE_NUMBER					= "linear-phase-nbr";
const std::string ConstPN::SQUARE_ROOT_PHASE_NUMBER				= "square-root-phase-nbr";
const std::string ConstPN::POLY_PHASE_FULL_FILENAME				= "poly-phase-full-filename";
const std::string ConstPN::POLY_PHASE_FILENAME					= "poly-phase-filename";
const std::string ConstPN::POLY_PHASE_DIRECTORY					= "poly-phase-directory";
const std::string ConstPN::POLY_PHASE_COMPRESSION				= "poly-phase-compression";
const std::string ConstPN::SIEVING_PHASE_FULL_FILENAME			= "sieving-phase-full-filename";
const std::string ConstPN::SIEVING_PHASE_FILENAME				= "sieving-phase-filename";
const std::string ConstPN::SIEVING_PHASE_DIRECTORY				= "sieving-phase-directory";
const std::string ConstPN::SIEVING_PHASE_COMPRESSION			= "sieving-phase-compression";
const std::string ConstPN::REL_PROCESSING_PHASE_FULL_FILENAME	= "rel-processing-phase-full-filename";
const std::string ConstPN::REL_PROCESSING_PHASE_FILENAME		= "rel-processing-phase-filename";
const std::string ConstPN::REL_PROCESSING_PHASE_DIRECTORY		= "rel-processing-phase-directory";
const std::string ConstPN::REL_PROCESSING_PHASE_COMPRESSION		= "rel-processing-phase-compression";
const std::string ConstPN::LINEAR_PHASE_FULL_FILENAME			= "linear-phase-full-filename";
const std::string ConstPN::LINEAR_PHASE_FILENAME				= "linear-phase-filename";
const std::string ConstPN::LINEAR_PHASE_DIRECTORY				= "linear-phase-directory";
const std::string ConstPN::LINEAR_PHASE_COMPRESSION				= "linear-phase-compression";
const std::string ConstPN::SQUARE_ROOT_PHASE_FULL_FILENAME		= "square-root-phase-full-filename";
const std::string ConstPN::SQUARE_ROOT_PHASE_FILENAME			= "square-root-phase-filename";
const std::string ConstPN::SQUARE_ROOT_PHASE_DIRECTORY			= "square-root-phase-directory";
const std::string ConstPN::SQUARE_ROOT_PHASE_COMPRESSION		= "square-root-phase-compression";
const std::string ConstPN::INFO_MODE							= "info-mode";
const std::string ConstPN::ASSERTION_MODE						= "assertion-mode";
const std::string ConstPN::MATRIX_RESULT_FULL_FILENAME			= "matrix-result-full-filename";
const std::string ConstPN::MATRIX_RESULT_FILENAME				= "matrix-result-filename";
const std::string ConstPN::MATRIX_RESULT_DIRECTORY				= "matrix-result-directory";
const std::string ConstPN::MATRIX_RESULT_COMPRESSION			= "matrix-result-compression";
const std::string ConstPN::MATRIX_RESULT_TYPE					= "matrix-result-type";
const std::string ConstPN::RELATION_MATRIX_FULL_FILENAME		= "relation-matrix-full-filename";
const std::string ConstPN::RELATION_MATRIX_FILENAME				= "relation-matrix-filename";
const std::string ConstPN::RELATION_MATRIX_DIRECTORY			= "relation-matrix-directory";
const std::string ConstPN::RELATION_MATRIX_COMPRESSION			= "relation-matrix-compression";
const std::string ConstPN::SMOOTH_RELATIONS_FULL_FILENAME		= "smooth-relations-full-filename";
const std::string ConstPN::SMOOTH_RELATIONS_FILENAME			= "smooth-relations-filename";
const std::string ConstPN::SMOOTH_RELATIONS_DIRECTORY			= "smooth-relations-directory";
const std::string ConstPN::SMOOTH_RELATIONS_COMPRESSION			= "smooth-relations-compression";
const std::string ConstPN::SMOOTH_LEG_REL_FULL_FILENAME			= "smooth-rel-full-filename";
const std::string ConstPN::SMOOTH_LEG_REL_FILENAME				= "smooth-rel-filename";
const std::string ConstPN::SMOOTH_LEG_REL_DIRECTORY				= "smooth-rel-directory";
const std::string ConstPN::SMOOTH_LEG_REL_COMPRESSION			= "smooth-rel-compression";
const std::string ConstPN::TEMP_FILE_FULL_FILENAME				= "temp-file-full-filename";
const std::string ConstPN::TEMP_FILE_FILENAME					= "temp-file-filename";
const std::string ConstPN::TEMP_FILE_DIRECTORY					= "temp-file-directory";
const std::string ConstPN::TEMP_FILE_COMPRESSION				= "temp-file-compression";
const std::string ConstPN::PARTIAL_REL_FULL_FILENAME			= "partial-rel-full-filename";
const std::string ConstPN::PARTIAL_REL_FILENAME					= "partial-rel-filename";
const std::string ConstPN::PARTIAL_REL_DIRECTORY				= "partial-rel-directory";
const std::string ConstPN::PARTIAL_REL_COMPRESSION				= "partial-rel-compression";
const std::string ConstPN::USABLE_PART_REL_FULL_FILENAME		= "usable-part-rel-full-filename";
const std::string ConstPN::USABLE_PART_REL_FILENAME				= "usable-part-rel-filename";
const std::string ConstPN::USABLE_PART_REL_DIRECTORY			= "usable-part-rel-directory";
const std::string ConstPN::USABLE_PART_REL_COMPRESSION			= "usable-part-rel-compression";
const std::string ConstPN::ALL_PARTIAL_REL_FULL_FILENAME		= "all-part-relations-full-filename";
const std::string ConstPN::ALL_PARTIAL_REL_FILENAME				= "all-part-relations-filename";
const std::string ConstPN::ALL_PARTIAL_REL_DIRECTORY			= "all-part-relations-directory";
const std::string ConstPN::ALL_PARTIAL_REL_COMPRESSION			= "all-part-relations-compression";
const std::string ConstPN::ALL_SMOOTH_REL_FULL_FILENAME			= "all-smooth-relations-full-filename";
const std::string ConstPN::ALL_SMOOTH_REL_FILENAME				= "all-smooth-relations-filename";
const std::string ConstPN::ALL_SMOOTH_REL_DIRECTORY				= "all-smooth-relations-directory";
const std::string ConstPN::ALL_SMOOTH_REL_COMPRESSION			= "all-smooth-relations-compression";
const std::string ConstPN::ALL_RELATIONS_FULL_FILENAME			= "all-relations-full-filename";
const std::string ConstPN::ALL_RELATIONS_FILENAME				= "all-relations-filename";
const std::string ConstPN::ALL_RELATIONS_DIRECTORY				= "all-relations-directory";
const std::string ConstPN::ALL_RELATIONS_COMPRESSION			= "all-relations-compression";
const std::string ConstPN::RELATIONS_RESULT_FULL_FILENAME		= "relations-result-full-filename";
const std::string ConstPN::RELATIONS_RESULT_FILENAME			= "relations-result-filename";
const std::string ConstPN::RELATIONS_RESULT_DIRECTORY			= "relations-result-directory";
const std::string ConstPN::RELATIONS_RESULT_COMPRESSION			= "relations-result-compression";
const std::string ConstPN::INTEGRAL_FB_FULL_FILENAME			= "integral-fb-full-filename";
const std::string ConstPN::INTEGRAL_FB_FILENAME					= "integral-fb-filename";
const std::string ConstPN::INTEGRAL_FB_DIRECTORY				= "integral-fb-directory";
const std::string ConstPN::INTEGRAL_FB_COMPRESSION				= "integral-fb-compression";
const std::string ConstPN::ALGEBRAIC_FB_FULL_FILENAME			= "algebraic-fb-full-filename";
const std::string ConstPN::ALGEBRAIC_FB_FILENAME				= "algebraic-fb-filename";
const std::string ConstPN::ALGEBRAIC_FB_DIRECTORY				= "algebraic-fb-directory";
const std::string ConstPN::ALGEBRAIC_FB_COMPRESSION				= "algebraic-fb-compression";
const std::string ConstPN::QUAD_CHARS_FULL_FILENAME				= "qaud-chars-full-filename";
const std::string ConstPN::QUAD_CHARS_FILENAME					= "qaud-chars-filename";
const std::string ConstPN::QUAD_CHARS_DIRECTORY					= "qaud-chars-directory";
const std::string ConstPN::QUAD_CHARS_COMPRESSION				= "qaud-chars-compression";
const std::string ConstPN::QUAD_CHARS_COUNT						= "quad-chars-count";
const std::string ConstPN::RSERIAL_SIEVING_FULL_FILENAME		= "rserial-sieving-full-filename";
const std::string ConstPN::RSERIAL_SIEVING_FILENAME				= "rserial-sieving-filename";
const std::string ConstPN::RSERIAL_SIEVING_DIRECTORY			= "rserial-sieving-directory";
const std::string ConstPN::RSERIAL_SIEVING_COMPRESSION			= "rserial-sieving-compression";
const std::string ConstPN::RSERIAL_POLY_SEL_FULL_FILENAME		= "rserial-poly-sel-full-filename";
const std::string ConstPN::RSERIAL_POLY_SEL_FILENAME			= "rserial-poly-sel-filename";
const std::string ConstPN::RSERIAL_POLY_SEL_DIRECTORY			= "rserial-poly-sel-directory";
const std::string ConstPN::RSERIAL_POLY_SEL_COMPRESSION			= "rserial-poly-sel-compression";
const std::string ConstPN::CAND_POLY_FULL_FILENAME				= "cand-poly-full-filename";
const std::string ConstPN::CAND_POLY_FILENAME					= "cand-poly-filename";
const std::string ConstPN::CAND_POLY_DIRECTORY					= "cand-poly-directory";
const std::string ConstPN::CAND_POLY_COMPRESSION				= "cand-poly-compression";
const std::string ConstPN::CAND_POLY_PAIR_FULL_FILENAME			= "cand-poly-pair-full-filename";
const std::string ConstPN::CAND_POLY_PAIR_FILENAME				= "cand-poly-pair-filename";
const std::string ConstPN::CAND_POLY_PAIR_DIRECTORY				= "cand-poly-pair-directory";
const std::string ConstPN::CAND_POLY_PAIR_COMPRESSION			= "cand-poly-pair-compression";
const std::string ConstPN::CONTROL_FILE_FULL_FILENAME			= "control-file-full-filename";
const std::string ConstPN::CONTROL_FILE_FILENAME				= "control-file-filename";
const std::string ConstPN::CONTROL_FILE_DIRECTORY				= "control-file-directory";
const std::string ConstPN::CONTROL_FILE_COMPRESSION				= "control-file-compression";
const std::string ConstPN::PHASE_FULL_FILENAME					= "phase-full-filename";
const std::string ConstPN::PHASE_FILENAME						= "phase-filename";
const std::string ConstPN::PHASE_DIRECTORY						= "phase-directory";
const std::string ConstPN::PHASE_COMPRESSION					= "phase-compression";
const std::string ConstPN::CHECK_RESULT							= "check-result";
const std::string ConstPN::RANK_CALC_MODE						= "rank-calc-mode";
const std::string ConstPN::DENSITY_MODE							= "density-mode";
const std::string ConstPN::TIME_MESSAGE_MODE					= "time-message-mode";
const std::string ConstPN::MATRIX_SOLVER_TYPE					= "matrix-solver-type";
const std::string ConstPN::RELATION_MATRIX_TYPE					= "relation-matrix-type";
const std::string ConstPN::LANCZOS_AUX_MATRIX_TYPE				= "lanczos-aux-matrix-type";
const std::string ConstPN::CURRENT_PHASE						= "current-phase";
const std::string ConstPN::MAX_PHASE_NBR						= "max-phase-nbr";
const std::string ConstPN::MIN_PHASE_NBR						= "min-phase-nbr";
const std::string ConstPN::ROOT_M								= "root-m";
const std::string ConstPN::NUMBER_N								= "number-n";
const std::string ConstPN::SIEVING_POLY							= "sieving-poly";
const std::string ConstPN::ROOT_FINDER_TYPE						= "root-finder-type";
const std::string ConstPN::PARTIAL_REL_GRAPH_VERTICES			= "partial-rel-graph-vertices";
const std::string ConstPN::PARTIAL_REL_GRAPH_COMPONENTS			= "partial-rel-graph-components";
const std::string ConstPN::PARTIAL_REL_GRAPH_EDGES				= "partial-rel-graph-edges";
const std::string ConstPN::SMOOTH_REL_COUNT						= "smooth-relation-count";
const std::string ConstPN::VARIATIONS_TYPE						= "variations-type";
const std::string ConstPN::COMPRESSION_LEVEL					= "compression-level";
const std::string ConstPN::SERIALIZATION_DIRECTORY				= "serialization-directory";
const std::string ConstPN::SERIALIZATION_IDENTIFIER				= "serialization-identifier";
const std::string ConstPN::SERIALIZATION_ELEMENT_NAME			= "serialization-element-name";
const std::string ConstPN::SERIALIZATION_MAIN_ELEMENT_NAME		= "serialization-main-element-name";
const std::string ConstPN::SERIALIZATION_FILE					= "serialization-file";
const std::string ConstPN::SERIALIZATION_FULL_FILENAME			= "serialization-full-filename";
const std::string ConstPN::LINE_SIEVE_SIZE						= "line-sieve-size";
const std::string ConstPN::HASHTABLE_SIZE						= "hashtable-size";
const std::string ConstPN::CHECK_ALL_MODE						= "check-all-mode";
const std::string ConstPN::INTEGRAL_FB_UPPER_BOUND				= "integral-fb-upper-bound";
const std::string ConstPN::ALGEBRAIC_FB_UPPER_BOUND				= "algebraic-fb-upper-bound";
const std::string ConstPN::SIEVING_REGION_WIDTH				= "sieving-region-width";
const std::string ConstPN::SIEVING_REGION_HEIGHT				= "sieving-region-height";
const std::string ConstPN::SIEVING_REGION_START				= "sieving-region-start";
const std::string ConstPN::NUMBER_OF_SMOOTHS				= "number-of-smooths";
const std::string ConstPN::TIME_MESSAGE_INTERVAL				= "time-message-interval";
const std::string ConstPN::SIEVING_DIRECTION					= "sieving-direction";
const std::string ConstPN::MAX_ITERATIONS						= "maximal-iterations";
const std::string ConstPN::SIEVING_NUMBER_A						= "sieving-number-a";
const std::string ConstPN::SIEVING_NUMBER_B						= "sieving-number-b";
const std::string ConstPN::RSERIALIZATION_TIME_INTERVAL			= "rserial-time-interval";
const std::string ConstPN::RSERIALIZATION_ITER_INTERVAL			= "rserial-iter-interval";
const std::string ConstPN::RSERIALIZATION_REL_COUNT				= "rserial-rel-count";
const std::string ConstPN::RSERIALIZATION_C_CHANGE_COUNT		= "rserial-c-change-count";
const std::string ConstPN::RSERIALIZATION_M_CHANGE_COUNT		= "rserial-m-change-count";
const std::string ConstPN::RSERIALIZATION_PRIME_CHANGE_COUNT	= "rserial-prime-change-count";
const std::string ConstPN::RSERIALIZATION_POLY_COUNT			= "rserial-poly-count";
const std::string ConstPN::NFS_POLY_PHASE_TYPE					= "poly-phase-type";
const std::string ConstPN::NFS_SIEVING_PHASE_TYPE				= "sieving-phase-type";
const std::string ConstPN::NFS_REL_PRO_PHASE_TYPE				= "rel-pro-phase-type";
const std::string ConstPN::NFS_LINEAR_PHASE_TYPE				= "linear-phase-type";
const std::string ConstPN::NFS_SQUARE_ROOT_PHASE_TYPE			= "square-root-phase-type";
const std::string ConstPN::CANDIDATE_POLY_COUNT					= "candidate-poly-count";
const std::string ConstPN::CONTENT_TRIES						= "content-tries";
const std::string ConstPN::CONTENT_BOUND						= "content-bound";
const std::string ConstPN::ALPHA_PRIME_BOUND					= "alpha-prime-bound";
const std::string ConstPN::ALPHA_SMALLER_PRIME_BOUND			= "alpha-smaller-prime-bound";
const std::string ConstPN::ALPHA_ABORT							= "alpha-abort";
const std::string ConstPN::ALPHA_BOUND							= "alpha-bound";
const std::string ConstPN::MPF_T_PRECISION						= "mpf_t-precision";
const std::string ConstPN::HALF_CIRCLE_SUBINTERVALS_COUNT		= "half-circle-subint-count";
const std::string ConstPN::CHI_INVERSE							= "chi-inverse";
const std::string ConstPN::CHI_MIN_LOG							= "chi-min-log";
const std::string ConstPN::CHI_MAX_LOG							= "chi-max-log";
const std::string ConstPN::MAX_CANDIDATES_PER_LC				= "max-candidates-per-lc";
const std::string ConstPN::MIN_AD_PER_C							= "min-ad-per-c";
const std::string ConstPN::POLY_GEN_TYPE						= "poly-gen-type";
const std::string ConstPN::SELF_INITIALIZING_DELAY				= "self-initializing-delay";
const std::string ConstPN::MAX_ELEMENT_COUNT					= "max-element-count";
const std::string ConstPN::MAX_RATED_ELEMENT_COUNT				= "max-rated-element-count";
const std::string ConstPN::GENERATOR_FACTOR1_SIZE				= "generator-factor1-size";
const std::string ConstPN::GENERATOR_FACTOR2_SIZE				= "generator-factor2-size";
const std::string ConstPN::GENERATOR_GENERATE_N					= "generator-generate-n";
const std::string ConstPN::SIEVING_POLY1						= "sieving-poly1";
const std::string ConstPN::SIEVING_POLY2						= "sieving-poly2";
const std::string ConstPN::ALGEBRAIC_FB1_UPPER_BOUND			= "alg-fb1-upper-bound";
const std::string ConstPN::ALGEBRAIC_FB2_UPPER_BOUND			= "alg-fb2-upper-bound";
const std::string ConstPN::FB_UPPER_BOUND						= "fb-upper-bound";
const std::string ConstPN::FB_UPPER_BOUND2						= "fb-upper-bound2";
const std::string ConstPN::RUNNING_SERIALIZATION				= "running-serialization";
const std::string ConstPN::CLEANING_TYPE						= "cleaning-type";
const std::string ConstPN::ALGEBRAIC_FB1_FULL_FILENAME			= "algebraic-fb1-full-filename";
const std::string ConstPN::ALGEBRAIC_FB1_FILENAME				= "algebraic-fb1-filename";
const std::string ConstPN::ALGEBRAIC_FB1_DIRECTORY				= "algebraic-fb1-directory";
const std::string ConstPN::ALGEBRAIC_FB1_COMPRESSION			= "algebraic-fb1-compression";
const std::string ConstPN::ALGEBRAIC_FB2_FULL_FILENAME			= "algebraic-fb2-full-filename";
const std::string ConstPN::ALGEBRAIC_FB2_FILENAME				= "algebraic-fb2-filename";
const std::string ConstPN::ALGEBRAIC_FB2_DIRECTORY				= "algebraic-fb2-directory";
const std::string ConstPN::ALGEBRAIC_FB2_COMPRESSION			= "algebraic-fb2-compression";
const std::string ConstPN::QUAD_CHARS1_FULL_FILENAME			= "qaud-chars-full-filename1";
const std::string ConstPN::QUAD_CHARS1_FILENAME					= "qaud-chars-filename1";
const std::string ConstPN::QUAD_CHARS1_DIRECTORY				= "qaud-chars-directory1";
const std::string ConstPN::QUAD_CHARS1_COMPRESSION				= "qaud-chars-compression1";
const std::string ConstPN::QUAD_CHARS2_FULL_FILENAME			= "qaud-chars-full-filename2";		
const std::string ConstPN::QUAD_CHARS2_FILENAME					= "qaud-chars-filename2";
const std::string ConstPN::QUAD_CHARS2_DIRECTORY				= "qaud-chars-directory2";
const std::string ConstPN::QUAD_CHARS2_COMPRESSION				= "qaud-chars-compression2";
const std::string ConstPN::ONE_PHASE_RUN						= "one-phase-run";
const std::string ConstPN::THRESHOLD_OPT_INT					= "threshold-opt-int";
const std::string ConstPN::THRESHOLD_OPT_POLICY					= "threshold-opt-policy";
const std::string ConstPN::THRESHOLD_OPT_RATIO					= "threshold-opt-ratio";
const std::string ConstPN::POLY_SKEWNESS						= "poly-skewness";
const std::string ConstPN::SUPPORTING_FACTOR_ALG				= "supporting-factor-alg";
const std::string ConstPN::FACTOR_BASE_FULL_FILENAME			= "factor-base-full-filename";
const std::string ConstPN::FACTOR_BASE_FILENAME					= "factor-base-filename";
const std::string ConstPN::FACTOR_BASE_DIRECTORY				= "factor-base-directory";
const std::string ConstPN::FACTOR_BASE_COMPRESSION				= "factor-base-compression";
const std::string ConstPN::FACTOR_BLOCK_SIZE					= "factor-block-size";
const std::string ConstPN::LARGISH_PRIMES_THRESHOLD				= "largish-primes-threshold";
const std::string ConstPN::PARTIAL_FACTOR_MULTIPLIER				= "partial-factor-multiplier";
const std::string ConstPN::RELATION_RESERVE						= "relation-reserve";
const std::string ConstPN::RELATIONS_OVERLAP					= "relations-overlap";
const std::string ConstPN::MERGE_LPI_LOWER_BOUND				= "merge-lpi-lower-bound";
const std::string ConstPN::MERGE_MEMORY_SIZE					= "merge-memory-size";
const std::string ConstPN::MERGE_MAX_MERGE_FREQUENCY			= "merge-max-merge-frequency";
const std::string ConstPN::INFO_MODE_PRIORITY					= "info-mode-priority";
const std::string ConstPN::INFO_MODE_TECHNICAL					= "info-mode-technical";
const std::string ConstPN::INFO_MODE_USE_FILE					= "info-mode-use-file";
const std::string ConstPN::USE_FREE_RELATIONS					= "use-free-relations";
const std::string ConstPN::CGENERATOR_FIRST_BIGGER				= "cgenerator-first-bigger";
const std::string ConstPN::CGENERATOR_MAX_PRIME					= "cgenerator-max-prime";
const std::string ConstPN::CGENERATOR_LOWER_BOUND				= "cgenerator-lower-bound";
const std::string ConstPN::CGENERATOR_UPPER_BOUND				= "cgenerator-upper-bound";
const std::string ConstPN::CGENERATOR_BASE						= "cgenerator-base";
const std::string ConstPN::CGENERATOR_COUNT_BIGGER				= "cgenerator-count-bigger";
const std::string ConstPN::LEADING_COEFF_BASE					= "leading-coeff-base";
const std::string ConstPN::LEADING_COEFF_LOWER_BOUND			= "leading-coeff-lower-bound";
const std::string ConstPN::KLEINJUNG_L							= "kleinjung-l";
const std::string ConstPN::KLEINJUNG_L_MAX						= "kleinjung-l-max";
const std::string ConstPN::KLEINJUNG_PRIME_BOUND				= "kleinjung-prime-bound";
const std::string ConstPN::RSERIALIZATION_AD_CHANGE_COUNT		= "rserial-ad-change-count";
const std::string ConstPN::KLEINJUNG_POSSIBLE_SUBSETS_PP		= "kleinjung-possible-subsets-pp";
const std::string ConstPN::KEEP_RELATION_PERCENTAGE				= "keep-relation-percentage";
const std::string ConstPN::KLEINJUNG_POLY_DEGREE_STEP						= "kleinjung-poly-degree-step";








