#ifndef __CONST_PARAMETER_NAMES_H_
#define __CONST_PARAMETER_NAMES_H_

#include <string>

/*!
 * \brief Class of parameter names
*/
class ConstPN
{
public:

	static const std::string WORKING_DIRECTORY;
	static const std::string DESERIALIZE;
	static const std::string POLY_PHASE_NUMBER;
	static const std::string SIEVING_PHASE_NUMBER;
	static const std::string REL_PROCESSING_PHASE_NUMBER;
	static const std::string LINEAR_PHASE_NUMBER;
	static const std::string SQUARE_ROOT_PHASE_NUMBER;
	static const std::string POLY_PHASE_FULL_FILENAME;
	static const std::string POLY_PHASE_FILENAME;
	static const std::string POLY_PHASE_DIRECTORY;
	static const std::string POLY_PHASE_COMPRESSION;
	static const std::string SIEVING_PHASE_FULL_FILENAME;
	static const std::string SIEVING_PHASE_FILENAME;
	static const std::string SIEVING_PHASE_DIRECTORY;
	static const std::string SIEVING_PHASE_COMPRESSION;
	static const std::string REL_PROCESSING_PHASE_FULL_FILENAME;
	static const std::string REL_PROCESSING_PHASE_FILENAME;
	static const std::string REL_PROCESSING_PHASE_DIRECTORY;
	static const std::string REL_PROCESSING_PHASE_COMPRESSION;
	static const std::string LINEAR_PHASE_FULL_FILENAME;
	static const std::string LINEAR_PHASE_FILENAME;
	static const std::string LINEAR_PHASE_DIRECTORY;
	static const std::string LINEAR_PHASE_COMPRESSION;
	static const std::string SQUARE_ROOT_PHASE_FULL_FILENAME;
	static const std::string SQUARE_ROOT_PHASE_FILENAME;
	static const std::string SQUARE_ROOT_PHASE_DIRECTORY;
	static const std::string SQUARE_ROOT_PHASE_COMPRESSION;
	static const std::string INFO_MODE;
	static const std::string ASSERTION_MODE;
	static const std::string MATRIX_RESULT_FULL_FILENAME;
	static const std::string MATRIX_RESULT_FILENAME;
	static const std::string MATRIX_RESULT_DIRECTORY;
	static const std::string MATRIX_RESULT_COMPRESSION;
	static const std::string MATRIX_RESULT_TYPE;
	static const std::string RELATION_MATRIX_FULL_FILENAME;
	static const std::string RELATION_MATRIX_FILENAME;
	static const std::string RELATION_MATRIX_DIRECTORY;
	static const std::string RELATION_MATRIX_COMPRESSION;
	static const std::string SMOOTH_RELATIONS_FULL_FILENAME;
	static const std::string SMOOTH_RELATIONS_FILENAME;
	static const std::string SMOOTH_RELATIONS_DIRECTORY;
	static const std::string SMOOTH_RELATIONS_COMPRESSION;
	static const std::string SMOOTH_LEG_REL_FULL_FILENAME;
	static const std::string SMOOTH_LEG_REL_FILENAME;
	static const std::string SMOOTH_LEG_REL_DIRECTORY;
	static const std::string SMOOTH_LEG_REL_COMPRESSION;
	static const std::string TEMP_FILE_FULL_FILENAME;
	static const std::string TEMP_FILE_FILENAME;
	static const std::string TEMP_FILE_DIRECTORY;
	static const std::string TEMP_FILE_COMPRESSION;
	static const std::string PARTIAL_REL_FULL_FILENAME;
	static const std::string PARTIAL_REL_FILENAME;
	static const std::string PARTIAL_REL_DIRECTORY;
	static const std::string PARTIAL_REL_COMPRESSION;
	static const std::string USABLE_PART_REL_FULL_FILENAME;
	static const std::string USABLE_PART_REL_FILENAME;
	static const std::string USABLE_PART_REL_DIRECTORY;
	static const std::string USABLE_PART_REL_COMPRESSION;
	static const std::string ALL_PARTIAL_REL_FULL_FILENAME;
	static const std::string ALL_PARTIAL_REL_FILENAME;
	static const std::string ALL_PARTIAL_REL_DIRECTORY;
	static const std::string ALL_PARTIAL_REL_COMPRESSION;
	static const std::string ALL_SMOOTH_REL_FULL_FILENAME;
	static const std::string ALL_SMOOTH_REL_FILENAME;
	static const std::string ALL_SMOOTH_REL_DIRECTORY;
	static const std::string ALL_SMOOTH_REL_COMPRESSION;
	static const std::string ALL_RELATIONS_FULL_FILENAME;
	static const std::string ALL_RELATIONS_FILENAME;
	static const std::string ALL_RELATIONS_DIRECTORY;
	static const std::string ALL_RELATIONS_COMPRESSION;
	static const std::string RELATIONS_RESULT_FULL_FILENAME;
	static const std::string RELATIONS_RESULT_FILENAME;
	static const std::string RELATIONS_RESULT_DIRECTORY;
	static const std::string RELATIONS_RESULT_COMPRESSION;
	static const std::string INTEGRAL_FB_FULL_FILENAME;
	static const std::string INTEGRAL_FB_FILENAME;
	static const std::string INTEGRAL_FB_DIRECTORY;
	static const std::string INTEGRAL_FB_COMPRESSION;
	static const std::string ALGEBRAIC_FB_FULL_FILENAME;
	static const std::string ALGEBRAIC_FB_FILENAME;
	static const std::string ALGEBRAIC_FB_DIRECTORY;
	static const std::string ALGEBRAIC_FB_COMPRESSION;
	static const std::string QUAD_CHARS_FULL_FILENAME;
	static const std::string QUAD_CHARS_FILENAME;
	static const std::string QUAD_CHARS_DIRECTORY;
	static const std::string QUAD_CHARS_COMPRESSION;
	static const std::string QUAD_CHARS_COUNT;
	static const std::string RSERIAL_SIEVING_FULL_FILENAME;
	static const std::string RSERIAL_SIEVING_FILENAME;
	static const std::string RSERIAL_SIEVING_DIRECTORY;
	static const std::string RSERIAL_SIEVING_COMPRESSION;
	static const std::string RSERIAL_POLY_SEL_FULL_FILENAME;
	static const std::string RSERIAL_POLY_SEL_FILENAME;
	static const std::string RSERIAL_POLY_SEL_DIRECTORY;
	static const std::string RSERIAL_POLY_SEL_COMPRESSION;
	static const std::string CAND_POLY_FULL_FILENAME;
	static const std::string CAND_POLY_FILENAME;
	static const std::string CAND_POLY_DIRECTORY;
	static const std::string CAND_POLY_COMPRESSION;
	static const std::string CAND_POLY_PAIR_FULL_FILENAME;
	static const std::string CAND_POLY_PAIR_FILENAME;
	static const std::string CAND_POLY_PAIR_DIRECTORY;
	static const std::string CAND_POLY_PAIR_COMPRESSION;
	static const std::string CONTROL_FILE_FULL_FILENAME;
	static const std::string CONTROL_FILE_FILENAME;
	static const std::string CONTROL_FILE_DIRECTORY;
	static const std::string CONTROL_FILE_COMPRESSION;
	static const std::string PHASE_FULL_FILENAME;
	static const std::string PHASE_FILENAME;
	static const std::string PHASE_DIRECTORY;
	static const std::string PHASE_COMPRESSION;
	static const std::string CHECK_RESULT;
	static const std::string RANK_CALC_MODE;
	static const std::string DENSITY_MODE;
	static const std::string TIME_MESSAGE_MODE;
	static const std::string MATRIX_SOLVER_TYPE;
	static const std::string RELATION_MATRIX_TYPE;
	static const std::string LANCZOS_AUX_MATRIX_TYPE;
	static const std::string CURRENT_PHASE;
	static const std::string MAX_PHASE_NBR;
	static const std::string MIN_PHASE_NBR;
	static const std::string ROOT_M;
	static const std::string NUMBER_N;
	static const std::string SIEVING_POLY;
	static const std::string ROOT_FINDER_TYPE;
	static const std::string PARTIAL_REL_GRAPH_VERTICES;
	static const std::string PARTIAL_REL_GRAPH_COMPONENTS;
	static const std::string PARTIAL_REL_GRAPH_EDGES;
	static const std::string SMOOTH_REL_COUNT;
	static const std::string VARIATIONS_TYPE;
	static const std::string COMPRESSION_LEVEL;
	static const std::string SERIALIZATION_DIRECTORY;
	static const std::string SERIALIZATION_IDENTIFIER;
	static const std::string SERIALIZATION_ELEMENT_NAME;
	static const std::string SERIALIZATION_MAIN_ELEMENT_NAME;
	static const std::string SERIALIZATION_FILE;
	static const std::string SERIALIZATION_FULL_FILENAME;
	static const std::string LINE_SIEVE_SIZE;
	static const std::string HASHTABLE_SIZE;
	static const std::string CHECK_ALL_MODE;
	static const std::string INTEGRAL_FB_UPPER_BOUND;
	static const std::string ALGEBRAIC_FB_UPPER_BOUND;
	static const std::string SIEVING_REGION_WIDTH;
	static const std::string SIEVING_REGION_HEIGHT;
	static const std::string SIEVING_REGION_START;
	static const std::string NUMBER_OF_SMOOTHS;
	static const std::string TIME_MESSAGE_INTERVAL;
	static const std::string SIEVING_DIRECTION;
	static const std::string MAX_ITERATIONS;
	static const std::string SIEVING_NUMBER_A;
	static const std::string SIEVING_NUMBER_B;
	static const std::string RSERIALIZATION_TIME_INTERVAL;
	static const std::string RSERIALIZATION_ITER_INTERVAL;
	static const std::string RSERIALIZATION_REL_COUNT;
	static const std::string RSERIALIZATION_C_CHANGE_COUNT;
	static const std::string RSERIALIZATION_M_CHANGE_COUNT;
	static const std::string RSERIALIZATION_PRIME_CHANGE_COUNT;
	static const std::string RSERIALIZATION_POLY_COUNT;
	static const std::string NFS_POLY_PHASE_TYPE;
	static const std::string NFS_SIEVING_PHASE_TYPE;
	static const std::string NFS_REL_PRO_PHASE_TYPE;
	static const std::string NFS_LINEAR_PHASE_TYPE;
	static const std::string NFS_SQUARE_ROOT_PHASE_TYPE;
	static const std::string CANDIDATE_POLY_COUNT;
	static const std::string CONTENT_TRIES;
	static const std::string CONTENT_BOUND;
	static const std::string ALPHA_PRIME_BOUND;
	static const std::string ALPHA_SMALLER_PRIME_BOUND;
	static const std::string ALPHA_ABORT;
	static const std::string ALPHA_BOUND;
	static const std::string MPF_T_PRECISION;
	static const std::string HALF_CIRCLE_SUBINTERVALS_COUNT;
	static const std::string CHI_INVERSE;
	static const std::string CHI_MIN_LOG;
	static const std::string CHI_MAX_LOG;
	static const std::string MAX_CANDIDATES_PER_LC;
	static const std::string MIN_AD_PER_C;
	static const std::string POLY_GEN_TYPE;
	static const std::string SELF_INITIALIZING_DELAY;
	static const std::string MAX_ELEMENT_COUNT;
	static const std::string MAX_RATED_ELEMENT_COUNT;
	static const std::string GENERATOR_FACTOR1_SIZE;
	static const std::string GENERATOR_FACTOR2_SIZE;
	static const std::string GENERATOR_GENERATE_N;
	static const std::string SIEVING_POLY1;
	static const std::string SIEVING_POLY2;
	static const std::string ALGEBRAIC_FB1_UPPER_BOUND;
	static const std::string ALGEBRAIC_FB2_UPPER_BOUND;
	static const std::string FB_UPPER_BOUND;
	static const std::string FB_UPPER_BOUND2;
	static const std::string RUNNING_SERIALIZATION;
	static const std::string CLEANING_TYPE;
	static const std::string ALGEBRAIC_FB1_FULL_FILENAME;
	static const std::string ALGEBRAIC_FB1_FILENAME;
	static const std::string ALGEBRAIC_FB1_DIRECTORY;
	static const std::string ALGEBRAIC_FB1_COMPRESSION;
	static const std::string ALGEBRAIC_FB2_FULL_FILENAME;
	static const std::string ALGEBRAIC_FB2_FILENAME;
	static const std::string ALGEBRAIC_FB2_DIRECTORY;
	static const std::string ALGEBRAIC_FB2_COMPRESSION;
	static const std::string QUAD_CHARS1_FULL_FILENAME;
	static const std::string QUAD_CHARS1_FILENAME;
	static const std::string QUAD_CHARS1_DIRECTORY;
	static const std::string QUAD_CHARS1_COMPRESSION;
	static const std::string QUAD_CHARS2_FULL_FILENAME;
	static const std::string QUAD_CHARS2_FILENAME;
	static const std::string QUAD_CHARS2_DIRECTORY;
	static const std::string QUAD_CHARS2_COMPRESSION;
	static const std::string ONE_PHASE_RUN;
	static const std::string THRESHOLD_OPT_INT;
	static const std::string THRESHOLD_OPT_POLICY;
	static const std::string THRESHOLD_OPT_RATIO;
	static const std::string POLY_SKEWNESS;
	static const std::string SUPPORTING_FACTOR_ALG;
	static const std::string FACTOR_BASE_FULL_FILENAME;
	static const std::string FACTOR_BASE_FILENAME;
	static const std::string FACTOR_BASE_DIRECTORY;
	static const std::string FACTOR_BASE_COMPRESSION;
	static const std::string FACTOR_BLOCK_SIZE;
	static const std::string LARGISH_PRIMES_THRESHOLD;
	static const std::string PARTIAL_FACTOR_MULTIPLIER;
	// parameter for sieving phase - how many additional relations should be collected
	static const std::string RELATION_RESERVE;
	/*!
		Phase parameter (Filtering).
		How much relations over ideals should be kept for merge and then for linear phase.
		Use either this or KEEP_RELATION_PERCENTAGE (ratio). KEEP_RELATION_PERCENTAGE takes precedence.
		Default is 0.
	*/
	static const std::string RELATIONS_OVERLAP;
	static const std::string MERGE_LPI_LOWER_BOUND;
	static const std::string MERGE_MEMORY_SIZE;
	static const std::string MERGE_MAX_MERGE_FREQUENCY;
	static const std::string INFO_MODE_PRIORITY;
	static const std::string INFO_MODE_TECHNICAL;
	static const std::string INFO_MODE_USE_FILE;
	static const std::string USE_FREE_RELATIONS;
	static const std::string CGENERATOR_FIRST_BIGGER;
	static const std::string CGENERATOR_MAX_PRIME;
	static const std::string CGENERATOR_LOWER_BOUND;
	static const std::string CGENERATOR_UPPER_BOUND;
	static const std::string CGENERATOR_BASE;
	static const std::string CGENERATOR_COUNT_BIGGER;
	static const std::string LEADING_COEFF_BASE;
	static const std::string LEADING_COEFF_LOWER_BOUND;
	static const std::string KLEINJUNG_L;
	static const std::string KLEINJUNG_L_MAX;
	static const std::string KLEINJUNG_PRIME_BOUND;
	static const std::string RSERIALIZATION_AD_CHANGE_COUNT;
	static const std::string KLEINJUNG_POSSIBLE_SUBSETS_PP;
	/*!
		Phase parameter (Filtering).
		How much relations over ideals should be kept for merge and then for linear phase.
		Use either this or RELATIONS_OVERLAP (total number). This takes precedence.
		Default is set in const_sieving_phase.h (eg. 0.05)
	*/
	static const std::string KEEP_RELATION_PERCENTAGE;

	static const std::string KLEINJUNG_POLY_DEGREE_STEP;
};

#endif // __CONST_PARAMETER_NAMES_H_
