#include "const_rel_processing_phase.h"
#include "common_definitions.h"

const int  ConstRPPhase::INNER_STATE_COUNT					= 8;
const bool ConstRPPhase::AUTO_SERIALIZABLE					= false;
const int  ConstRPPhase::ROOTS_LIST							= 20;
const int  ConstRPPhase::QUAD_CHARS_COUNT					= ConstSPhase::QUAD_CHARS_COUNT;

const variations_types	  ConstRPPhase::VARIATIONS_TYPE			= ConstSPhase::VARIATIONS_TYPE;
const species_of_matrices ConstRPPhase::RELATION_MATRIX_TYPE	= SSparseMatrix;

#ifdef WIN32

const std::string ConstRPPhase::RELATION_MATRIX_FILENAME	= ConstFN::RELATION_MATRIX;
const std::string ConstRPPhase::QUAD_CHARS_FILENAME			= ConstFN::QUAD_CHARS;
const std::string ConstRPPhase::RELATIONS_RESULT_FILENAME	= ConstFN::RELATIONS_RESULT;

#else

#include "nfs_definitions.h"

const std::string ConstRPPhase::RELATION_MATRIX_FILENAME	= FILE_NAME_RELATION_MATRIX;
const std::string ConstRPPhase::QUAD_CHARS_FILENAME			= FILE_NAME_QUAD_CHARS;
const std::string ConstRPPhase::RELATIONS_RESULT_FILENAME	= FILE_NAME_RELATIONS_RESULT;

#endif
