#include "const_square_root_phase.h"
#include "common_definitions.h"

const int  ConstSRPhase::INNER_STATE_COUNT					= 5;
const int  ConstSRPhase::INFO_TIME_COUNT					= 5;
const int  ConstSRPhase::INFO_STAT_COUNT					= 5;
const int  ConstSRPhase::POLY_FIELD_RESIZE					= 100;
const bool ConstSRPhase::AUTO_SERIALIZABLE					= false;
const bool ConstSRPhase::CHECK_ALL_MODE						= false;

const species_of_matrices ConstSRPhase::MATRIX_RESULT_TYPE		= SBitMatrix;
const root_finder_types ConstSRPhase::ROOT_FINDER				= ECouveignes;

#ifdef WIN32

const std::string ConstSRPhase::MATRIX_RESULT_FILENAME	= ConstFN::MATRIX_RESULT;
const std::string ConstSRPhase::RELATIONS_FILENAME		= ConstFN::RELATIONS_RESULT;
const std::string ConstSRPhase::QUAD_CHARS_FILENAME		= ConstFN::QUAD_CHARS;	

#else

#include "nfs_definitions.h"

const std::string ConstSRPhase::MATRIX_RESULT_FILENAME	= FILE_NAME_MATRIX_RESULT;
const std::string ConstSRPhase::RELATIONS_FILENAME		= FILE_NAME_RELATIONS_RESULT;
const std::string ConstSRPhase::QUAD_CHARS_FILENAME		= FILE_NAME_QUAD_CHARS;

#endif
