#ifndef __CONST_SQUARE_ROOT_PHASE_H_
#define __CONST_SQUARE_ROOT_PHASE_H_

#include "const_linear_phase.h"

/*!
 * \brief Class of constants for square root phases
*/
class ConstSRPhase
{
public:
	static const int INNER_STATE_COUNT;
	static const int INFO_TIME_COUNT;
	static const int INFO_STAT_COUNT;
	static const int POLY_FIELD_RESIZE;
	static const bool AUTO_SERIALIZABLE;
	static const bool CHECK_ALL_MODE;

	static const species_of_matrices MATRIX_RESULT_TYPE;
	static const root_finder_types ROOT_FINDER;

	static const std::string MATRIX_RESULT_FILENAME;
	static const std::string RELATIONS_FILENAME;
	static const std::string QUAD_CHARS_FILENAME;	

};

#endif // __CONST_SQUARE_ROOT_PHASE_H_
