#ifndef __LP_HASHTABLE_TYPE1_H__
#define __LP_HASHTABLE_TYPE1_H__

#include "lp_hashtable_common.h"

/*!
 * \brief Hashtable entry for relation processing phase
 */
class CNFS_HashEntry1 : public CCommonHashEntry {
private:
	large_prime_type root_fingerprint;
public:	
	void SetOne();

	large_prime_type GetRootFingerprint() const;
	void SetRootFingerprint(large_prime_type aFingerPrint);
};

template<class HashType> class lp_hashtable_common;
typedef lp_hashtable_common<CNFS_HashEntry1> CLPType1Hashtable; 

#endif // __LP_HASHTABLE_TYPE1_H__
