#include "murphy_poly_sel_phase.h"

#include <math.h>
#include "test_suite.h"
#include "const_parameter_names.h"
#include "log.h"

using namespace std;


CMurphyPolySelPhase::CMurphyPolySelPhase() : MSerializable(ConstFN::POLY_PHASE)
{
	
}
/*MONTGOMERY	
	this->iFoundCandidatePolyCount = 0;
	this->iRatedCandidatePolyCount = 0;
	this->iRSerialFoundCandPolyCount = 0;
	this->iRSerialRatedCandPolyCount = 0;
	this->iRSerialRunPrimeChangeCount = 0;
	this->iRSerialRunPolyCount = 0;
	this->iRound = 0;
	this->iRSerialRound = 0;

	for (int i = 0; i < ConstPSPhase::GENERATED_POLYS_COUNT; i++)
	{
		this->iFBBound[i] = 0;
	}

	this->iCandidatePolyPairs = NULL;
	this->iResultFirstPoly = NULL;
	this->iResultSecondPoly = NULL;

	mpz_init(this->iSievingIntervalLength);
	mpz_init(this->iRSerialRunningPrime);
	mpz_init(this->iRunningPrime);

	Set_AutoSerializable(ConstPSPhase::AUTO_SERIALIZABLE);
	Set_InnerState((int)EPSPhaseNotStarted);

	this->iStats = new CStatContainer(ConstPSPhase::INFO_STAT_COUNT);
	this->iTimes = new CTimeContainer(ConstPSPhase::INFO_TIME_COUNT);
}
*/

CMurphyPolySelPhase::~CMurphyPolySelPhase()
{

}
/*MONTGOMERY
	Reset();

	if (this->iStats != NULL)
	{
		delete this->iStats;
		this->iStats = NULL;
	}
	if (this->iTimes != NULL)
	{
		delete this->iTimes;
		this->iTimes = NULL;
	}

	DisposeFunctorField();
	DisposeGMP();
	DisposeMutexes();
	DisposeAcceptedReturnCodes();
}

*/
int CMurphyPolySelPhase::SaveResult()
{
	return ConstRC::Ok;
}

int CMurphyPolySelPhase::FillFunctorField()
{
	return ConstRC::Ok;
}

int CMurphyPolySelPhase::CleanUp(AFactorAlgParameters* aParameters, int aPhaseNBR, cleaning_types aType, bool aError)
{
	return ConstRC::Ok;
}	

int CMurphyPolySelPhase::Serialize(const CBaseParameters &aParam) const
{
	return ConstRC::Ok;
}

int CMurphyPolySelPhase::Serialize(const CBaseParameters &aParam, xmlTextWriterPtr &aWriter) const
{
	return ConstRC::Ok;
}

int CMurphyPolySelPhase::Deserialize(const CBaseParameters &aParam)
{
	return ConstRC::Ok;
}

int CMurphyPolySelPhase::Deserialize(const CBaseParameters &aParam, xmlTextReaderPtr &aReader)
{
	return ConstRC::Ok;
}	
